| OpenSubdiv OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TopologyRefinerFactory< MESH >::Options Struct Reference

Options related to the construction of each TopologyRefiner. More...

`#include <topologyRefinerFactory.h>`

## Public Member Functions
| Options (Sdc::SchemeType sdcType=Sdc::SCHEME_CATMARK, Sdc::Options sdcOptions=Sdc::Options())

## Public Attributes
Sdc::SchemeType | schemeType
| The subdivision scheme type identifier.
Sdc::Options | schemeOptions
unsigned int | validateFullTopology: 1

## Detailed Description

template<class MESH>
struct OpenSubdiv::OPENSUBDIV_VERSION::Far::TopologyRefinerFactory< MESH >::Options

Options related to the construction of each TopologyRefiner.

Definition at line 84 of file topologyRefinerFactory.h.

## Constructor & Destructor Documentation

## ◆ Options()

template<class MESH >

Options | ( | Sdc::SchemeType | sdcType = `Sdc::SCHEME_CATMARK`,
|  | Sdc::Options | sdcOptions = `Sdc::Options()`
| ) |  |
| inline

Definition at line 86 of file topologyRefinerFactory.h.

## Member Data Documentation

## ◆ schemeOptions

template<class MESH >

Sdc::Options schemeOptions

The full set of options for the scheme, e.g. boundary interpolation rules...

Definition at line 92 of file topologyRefinerFactory.h.

## ◆ schemeType

template<class MESH >

Sdc::SchemeType schemeType

The subdivision scheme type identifier.

Definition at line 91 of file topologyRefinerFactory.h.

## ◆ validateFullTopology

template<class MESH >

unsigned int validateFullTopology

Apply more extensive validation of the constructed topology – intended for debugging.

Definition at line 94 of file topologyRefinerFactory.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/topologyRefinerFactory.h